#pragma once

namespace cl
{
	template<typename fn, typename a>
	class curry_t
	{
		fn call;
		a param;
		public:
			curry_t(fn func, a p)
			: call{func}
			, param{p}
			{}
			template<typename ...b>
			auto operator()(b ...Args){
				return call(param, Args...);
			}
	};
}