#pragma once
#include "combinations/curry.hpp"

namespace cl
{
	template<typename fn, typename a>
	auto curry(fn func, a p);

	template <typename a>
	class function{
		a me;
	public:
		function(a value)
		: me(value)
		{}
		template<typename ...b>
		auto operator()(b ...Args){
			return me(Args...);
		}
		template<typename cur, typename ...b>
		auto operator()(cur arg){
			return curry(me, arg);
		}
	};

	template<typename fn, typename a>
	auto curry(fn func, a p)
	{
		return function(curry_t(func, p));
	}

	template<typename invokable, typename ret, typename ...Args>
	ret invoke(invokable fn, Args ...args)
	{
		return fn(args...);
	}
}